%define oname libmcs

%define major 1
%define libname %mklibname %name %{major}
%define develname %mklibname -d %{name}

Summary:	Modular Config System
Name:		mcs
Version:	0.7.2
Release:	4
License:	BSD
Group:		System/Libraries
Url:		http://www.atheme.org/projects/mcs.shtml
Source0:	http://distfiles.atheme.org/%{oname}-%{version}.tbz2
Patch:		libmcs-0.7.1-linking.patch
BuildRequires:	pkgconfig(libmowgli)
BuildRequires:	pkgconfig(gconf-2.0)

%description
mcs is a library and set of userland tools which abstract the storage
of configuration settings away from userland applications.

It is hoped that by using mcs, that the applications which use it will
generally have a more congruent feeling in regards to settings.

There have been other projects like this before (such as GConf), but
unlike those projects, mcs strictly handles abstraction. It does not
impose any specific data storage requirement, nor is it tied to any
desktop environment or software suite.

%package -n %{libname}
Group:		System/Libraries
Summary:	Modular Config System shared library
Requires:	%{name} >= %{version}

%description -n %{libname}
mcs is a library and set of userland tools which abstract the storage
of configuration settings away from userland applications.

It is hoped that by using mcs, that the applications which use it will
generally have a more congruent feeling in regards to settings.

There have been other projects like this before (such as GConf), but
unlike those projects, mcs strictly handles abstraction. It does not
impose any specific data storage requirement, nor is it tied to any
desktop environment or software suite.

%package -n %{develname}
Group:		Development/C
Summary:	Modular Config System shared library
Requires:	%{libname} = %{version}-%{release}
Provides:	libmcs-devel = %{version}-%{release}

%description -n %{develname}
mcs is a library and set of userland tools which abstract the storage
of configuration settings away from userland applications.

It is hoped that by using mcs, that the applications which use it will
generally have a more congruent feeling in regards to settings.

There have been other projects like this before (such as GConf), but
unlike those projects, mcs strictly handles abstraction. It does not
impose any specific data storage requirement, nor is it tied to any
desktop environment or software suite.

%package gconf
Group:		System/Libraries
Summary:	Modular Config System - GConf backend
Requires:	%{name} = %{version}-%{release}

%description gconf
mcs is a library and set of userland tools which abstract the storage
of configuration settings away from userland applications.

It is hoped that by using mcs, that the applications which use it will
generally have a more congruent feeling in regards to settings.

There have been other projects like this before (such as GConf), but
unlike those projects, mcs strictly handles abstraction. It does not
impose any specific data storage requirement, nor is it tied to any
desktop environment or software suite.

%prep
%setup -q -n %{oname}-%{version}
%patch -p1 -b .linking

%build
%configure2_5x --disable-kconfig
%make

%install
%makeinstall_std

%files
%doc AUTHORS TODO README
%{_bindir}/mcs-*
%dir %{_libdir}/mcs/
%{_libdir}/mcs/keyfile.so

%files gconf
%{_libdir}/mcs/gconf.so

%files -n %{libname}
%{_libdir}/libmcs.so.%{major}*

%files -n %{develname}
%{_libdir}/libmcs.so
%{_libdir}/pkgconfig/libmcs.pc
%{_includedir}/libmcs/





%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.7.2-4
+ Revision: 430fc97
- MassBuild#440: Increase release tag


